Summary:		Udev helper for naming devices per BIOS names
Name:			biosdevname
Version:		0.7.3
Release:		4%{?dist}
License:		GPLv2
URL:			https://github.com/dell/biosdevname
Source0:		https://github.com/dell/biosdevname/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch3000:		0002-Place-udev-rules-to-usr-lib.patch

BuildRequires:  autoconf automake gcc make
BuildRequires:  pciutils-devel zlib-devel
ExclusiveArch:	x86_64

%description
biosdevname in its simplest form takes a kernel device name as an
argument, and returns the BIOS-given name it "should" be.  This is
necessary on systems where the BIOS name for a given device (e.g. the
label on the chassis is "Gb1") doesn't map directly and obviously to
the kernel name (e.g. eth0).

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc README
%{_prefix}/lib/udev/rules.d/*.rules
%{_sbindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.7.3-1
- Initial build
